/*
 *  KeyInputEvent.java
 *  Joris van Rantwijk
 */

package retro;
import java.awt.event.KeyEvent;

/**
 * A KeyInputEvent represents a key press or key release event.
 */
public class KeyInputEvent extends ExternalInputEvent
{

    public int id;

    /** Key code as a Java KeyEvent.VK_xxx value. */
    public int keyCode;

    /** Key modifier mask at time of event. */
    public int modifiers;

    /** Optional key location as a Java KeyEvent.KEY_LOCATION_xxx value. */
    public int keyLocation;

    public KeyInputEvent(KeyEvent e)
    {
        super(e.getSource());
        id = e.getID();
        modifiers = e.getModifiers();
        timestamp = e.getWhen();
        keyCode = e.getKeyCode();
        keyLocation = 0;
    }

}

/* end */
